%define name	prioutil
%define version	0.4
%define release %mkrel 2

Name: 	 	%{name}
Summary: 	Graphical utility to transfer files to RIO MP3 players
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://istari.dyndns.org/~ciryon/prioutil/
License:	GPL
Group:		Sound
Requires:	perl-GTK rioutil
BuildArch:	noarch

%description
Prioutil is a simple graphical interface to rioutil.  This allows you to
transfer files to the newer generation of RIO MP3 players.

%prep
%setup -q -n %name

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir/
cp prioutil.pl $RPM_BUILD_ROOT/%_bindir/prioutil

#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{name}
Icon=sound_section
Name=Perl RIO Util
Comment=GUI for RIO MP3 player
Categories=Audio;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc Documentation/*
%{_bindir}/%name
%{_datadir}/applications/mandriva-%name.desktop



%changelog
* Thu Dec 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.4-2mdv2008.1
+ Revision: 135451
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- import prioutil


* Sun Aug 15 2004 Austin Acton <austin@mandrake.org> 0.4-2mdk
- I am dumb

* Sun Aug 15 2004 Austin Acton <austin@mandrake.org> 0.4-1mdk
- initial package
